Bug Hunting Session
Bug 122410 - Crash in anonymous namespace'::RetrieveTypeFromResourceURL
Summary: Crash in anonymous namespace'::RetrieveTypeFromResourceURL
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Muhammet Kara
URL:
Whiteboard: target:6.3.0 target:6.2.0.2 target:6.1.5
Keywords: bibisected, bisected
Depends on:
Blocks:
 
Reported: 2019-01-01 18:51 UTC by Xisco Faulí
Modified: 2019-01-02 14:18 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["`anonymous namespace'::RetrieveTypeFromResourceURL"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-01-01 18:51:23 UTC
Steps to reproduce:
1. Open Libreoffice
2. Tools - Customize
3. Context Menu
4. Click on Defaults
-> Crash!

Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: ef58bf56ad292656ad2de0a417eda72cc170f782
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-01-01 19:03:08 UTC
Started to crash after

https://cgit.freedesktop.org/libreoffice/core/commit/?id=46d993c352c2f34af532ffd9034ebf7bd3ab9691

author	Muhammet Kara <muhammet.kara@pardus.org.tr>	2017-08-20 20:43:56 +0300
committer	Katarina Behrens <Katarina.Behrens@cib.de>	2017-09-04 22:39:47 +0200
commit	46d993c352c2f34af532ffd9034ebf7bd3ab9691 (patch)
tree	b4e474200ed10a6a0dcc3d1e74b9cadb00585893
parent	7e0ecdecb1131bffd263d0e51583a25991b9a878 (diff)
Implement "Reset" button in the Customize dialog
Comment 2 MM 2019-01-01 21:55:51 UTC
Unconfirmed on mint 19.1 with Version: 6.3.0.0.alpha0+
Build ID: 43836a58ffe943e2fc65be638f9a7d343102cb07
CPU threads: 2; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-12-29_04:29:11
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

or on

Ubuntu 16.04 with Version: 6.2.0.0.alpha1+
Build ID: 726c18db3215ec74135f51365322a6b531f328af
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-11-03_19:38:55
Locale: en-US (en_US.UTF-8); Calc: threaded

Overhere it doesn't crash.
Comment 3 Commit Notification 2019-01-02 00:08:54 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/be8897d9c63a77b223a9c0aed1d2eb689e0e0082%5E%21

Resolves tdf#122383 and tdf#122410

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-01-02 06:35:40 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/bd9f2037f379cc3cd887122ca34eedfe85e4e820%5E%21

Resolves tdf#122383 and tdf#122410

It will be available in 6.2.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-01-02 06:37:08 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/808cc4d5fd87e6e6719a4a16f815e5897608bd2d%5E%21

Resolves tdf#122383 and tdf#122410

It will be available in 6.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2019-01-02 14:18:00 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 49c61f660d05ab13140d4349a0b3f6efba742022
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Muhammet Kara, thanks for fixing this!!